### Method

# Clutter Actor destroy_all_children

#### Declaration [src]

    void
    clutter_actor_destroy_all_children (
      ClutterActor* self
    )

#### Description [src]

Destroys all children of `self`.

This function releases the reference added by inserting a child actor in the list of children of `self`, and ensures that the `ClutterActor::destroy` signal is emitted on each child of the actor.

By default, `ClutterActor` will emit the `ClutterActor::destroy` signal when its reference count drops to 0; the default handler of the `ClutterActor::destroy` signal will destroy all the children of an actor. This function ensures that all children are destroyed, instead of just removed from `self`, unlike `clutter_actor_remove_all_children()` which will merely release the reference and remove each child.

Unless you acquired an additional reference on each child of `self` prior to calling `clutter_actor_remove_all_children()` and want to reuse the actors, you should use `clutter_actor_destroy_all_children()` in order to make sure that children are destroyed and signal handlers are disconnected even in cases where circular references prevent this from automatically happening through reference counting alone.